package com.tencent.mm.plugin.exdevice.b;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.model.aw;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import java.util.HashMap;

public final class k implements f {
    public static k lqI = null;
    private final HashMap<Long, e> lqH;
    public HashMap<String, Integer> lqJ;
    public ak mHandler;

    public static k bow() {
        AppMethodBeat.i(19063);
        k kVar;
        if (lqI != null) {
            kVar = lqI;
            AppMethodBeat.o(19063);
            return kVar;
        }
        kVar = new k();
        lqI = kVar;
        AppMethodBeat.o(19063);
        return kVar;
    }

    private k() {
        AppMethodBeat.i(19064);
        this.lqH = new HashMap();
        this.mHandler = null;
        this.lqJ = new HashMap();
        this.mHandler = new a(this, aw.RS().oAl.getLooper());
        AppMethodBeat.o(19064);
    }

    public final void b(int i, long j, int i2, int i3, byte[] bArr) {
        AppMethodBeat.i(19065);
        this.mHandler.obtainMessage(1, i, 0, new f(j, i2, i3, bArr)).sendToTarget();
        AppMethodBeat.o(19065);
    }

    public final void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(19066);
        ab.i("MicroMsg.exdevice.MMSendDataToManufacturerLogic", "******onSceneEnd******\r\n errType = %d, errCode = %d, errMsg = %s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        b bVar = new b((byte) 0);
        bVar.lqz = i2;
        bVar.lqL = i;
        bVar.hxN = str;
        bVar.lqM = mVar;
        this.mHandler.obtainMessage(2, bVar).sendToTarget();
        AppMethodBeat.o(19066);
    }
}
